lkml.org 
[lkml]   [2019]   [Sep]   [3]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [RFC PATCH 0/2] Add support for SBI version to 0.2
On Fri, Aug 30, 2019 at 11:13:25PM +0000, Atish Patra wrote:
> If I understood you clearly, you want to call it legacy in the spec and
> just say v0.1 extensions.
>
> The whole idea of marking them as legacy extensions to indicate that it
> would be obsolete in the future.
>
> But I am not too worried about the semantics here. So I am fine with
> just changing the text to v0.1 if that avoids confusion.

So my main problems is that we are lumping all the "legacy" extensions
together. While some of them are simply a bad idea and shouldn't
really be implemented for anything new ever, others like the sfence.vma
and ipi ones are needed until we have hardware support to avoid them
and possibly forever for virtualization.

So either we use different markers of legacy for them, or we at least
define new extensions that replace them at the same time. What I
want to avoid is the possibіly of an implementation using the really
legacy bits and new extensions at the same time.

\
 
 \ /
  Last update: 2019-09-03 09:39    [W:0.073 / U:9.236 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site